import 'package:flutter/material.dart';

class IconFont {
  static const String _family = "AppIconFont";
  static const String _colorfulFamily = "AppIconFontColorful";
  IconFont._();

  /// *** 彩色的iconfont *******
  static const IconData google = IconData(0xea0c, fontFamily: _colorfulFamily);
  static const IconData facebook = IconData(
    0xe600,
    fontFamily: _colorfulFamily,
  );
  static const IconData giftColorful = IconData(
    0xe613,
    fontFamily: _colorfulFamily,
  );
  static const IconData email = IconData(0xe649, fontFamily: _colorfulFamily);
  static const IconData diamondIcon = IconData(
    0xe76f,
    fontFamily: _colorfulFamily,
  );
  static const IconData rankNational = IconData(
    0xeb68,
    fontFamily: _colorfulFamily,
  );
  static const IconData rankState = IconData(
    0xe6a8,
    fontFamily: _colorfulFamily,
  );
  static const IconData rankRegion = IconData(
    0xe6a9,
    fontFamily: _colorfulFamily,
  );

  /// *** 纯色的iconfont *******
  static const IconData camera = IconData(0xe7ed, fontFamily: _family);
  static const IconData genderBoy = IconData(0xe68d, fontFamily: _family);
  static const IconData genderGirl = IconData(0xe68b, fontFamily: _family);
  static const IconData mineUnSelected = IconData(0xeb66, fontFamily: _family);

  static const IconData homeUnSelected = IconData(0xeb65, fontFamily: _family);
  static const IconData imSelected = IconData(0xeb62, fontFamily: _family);
  static const IconData imUnSelected = IconData(0xe75e, fontFamily: _family);
  static const IconData report = IconData(0xe6c1, fontFamily: _family);
  static const IconData apply = IconData(0xeb61, fontFamily: _family);
  static const IconData apple = IconData(0xe881, fontFamily: _family);
  static const IconData album = IconData(0xe65b, fontFamily: _family);
  static const IconData wallet = IconData(0xe609, fontFamily: _family);
  static const IconData edit = IconData(0xe690, fontFamily: _family);
  static const IconData feedBack = IconData(0xe612, fontFamily: _family);
  static const IconData communityUnSelected = IconData(
    0xe627,
    fontFamily: _family,
  );
  static const IconData communitySelected = IconData(
    0xeb64,
    fontFamily: _family,
  );
  static const IconData notification = IconData(0xe629, fontFamily: _family);
  static const IconData voice = IconData(0xe641, fontFamily: _family);
  static const IconData minSize = IconData(0xe6e8, fontFamily: _family);
  static const IconData callSpeaker = IconData(0xe601, fontFamily: _family);
  static const IconData callMute = IconData(0xe62b, fontFamily: _family);
  static const IconData call = IconData(0xe640, fontFamily: _family);
  static const IconData callEnd = IconData(0xe67f, fontFamily: _family);
  static const IconData addNote = IconData(0xe605, fontFamily: _family);
}
